import 'https://cdn.lordicon.com/xdjxvujz.js';
import React from 'react';
export declare type LordiconIcons = 'bolt' | 'helpCenter' | 'info' | 'notificationBell' | 'error' | 'warning' | 'helpQuestion' | 'alarm' | 'arrowUp' | 'arrowDown' | 'chat' | 'clock' | 'autorenew' | 'article' | 'history' | 'trash' | 'play' | 'addCard' | 'thumbsUpDown' | 'cross' | 'spaFlower' | 'snake' | 'ruins' | 'privacyPolicy' | 'edit' | 'bin' | 'flatArrow';
export declare type LordiconTrigger = 'hover' | 'click' | 'loop' | 'loop-on-hover' | 'morph' | 'morph-two-way';
export declare type LordiconColors = {
    primary?: string;
    secondary?: string;
};
export declare type LordiconProps = {
    icon?: LordiconIcons;
    colors?: LordiconColors;
    trigger?: LordiconTrigger;
    delay?: number | string;
    size?: number | string;
} & React.HtmlHTMLAttributes<HTMLDivElement>;
export declare type LordiconElement = HTMLElement & {
    src?: string;
    trigger?: LordiconTrigger;
    colors?: LordiconColors;
    delay?: string | number;
};
export declare const Lordicon: React.FC<LordiconProps>;
export default Lordicon;
